Page MenuHomePhabricator

Understand Android app usage by market
Closed, ResolvedPublic4 Story Points

Description

Are there markets that we are doing particularly well/poorly in on:

  • New installs
  • 7-day retention
  • MAU/DAU (monthly/daily active users)
  • “Stickiness %” - divide DAU/MAU
  • Session interval
  • # articles per session
  • Avg session length and time in-app
  • Interaction with Explore feed (see ticket T184088)

See Google doc for all questions: https://docs.google.com/document/d/1jlgPYsMYSGKMvAc85kjtzWWibZCyHF9ycQP2zDTjJys/edit?ts=5a37eadd

Event Timeline

Charlotte created this task.Jan 3 2018, 5:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2018, 5:48 PM
mpopov claimed this task.Jan 22 2018, 5:36 PM
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.
mpopov set the point value for this task to 4.

A suggestion: How about linking each part to the corresponding interactive visualization/report that Google provides in the Play Store?
E.g.:

etc.

Regarding "We are very close to the median visit-to-install conversion rate across the whole Play Store":
Is that reference rate really across the whole Play Store, or rather in the "Books & Reference" category ?
Again it might be useful to link the corresponding Play Store analytics page, which suggest the latter.
BTW, it also shows (click "For 1 day" etc.) that our retention rates are way above the benchmark.

mpopov added a comment.EditedFeb 2 2018, 11:45 PM

@Tbayer Done! Thank you so much for the suggestions! And yep, the benchmarks are calculated from popular free Books & Reference apps, not the whole Play Store like I previously thought.

Done with DAU/MAU/stickiness part: https://github.com/wikimedia-research/App-Android-Baseline_Metrics/tree/master/T184089#app-stickiness

Blocked by the sampling bug (T186682) and the timestamp bug (T186768) for now so this is going into Stalled/Waiting until those are resolved.

@Charlotte: please review the work so far and let me know if you have additional questions that I should answer in the report. Otherwise the information that's there right now should be enough to begin a conversation about how to address the app's poor performance in some of those markets.

mpopov moved this task from Triage to Backlog on the Product-Analytics board.May 10 2018, 7:31 PM
kzimmerman closed this task as Resolved.Sep 16 2019, 8:47 PM
kzimmerman added a subscriber: kzimmerman.

Closing this as resolved as this was for 2018-19 planning